curl --request GET \
--url https://{your-subdomain}.neetochat.com/api/external/v2/conversations/{conversation_id} \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetochat.com/api/external/v2/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetochat.com/api/external/v2/conversations/{conversation_id}"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"conversation": {
"id": "de414e85-a1b5-4240-a465-7b32606980ce",
"status": "open",
"title": "Refund for order #1042",
"priority": "low",
"channel_name": "b945fd3cd2573017052901d6dbd0832f",
"origin_page_url": "https://example.com/pricing",
"origin_page_title": "Pricing",
"created_at": "2026-09-23T18:07:53.661Z",
"updated_at": "2026-10-05T16:26:58.143Z",
"agent": {
"id": "05665eee-4602-4317-8f7f-767b04274e5f",
"name": "Oliver Smith",
"email": "oliver@example.com"
},
"group": {
"id": null,
"name": null
},
"visitor": {
"id": "2c79a334-0bc8-44e4-9504-331f59d400ab",
"name": "Sam Brown",
"email": "sam@example.com",
"phone_number": null,
"user_identifier": null
}
}
}{
"error": "Conversation does not exist."
}Get conversation details
Retrieves details of a specific conversation.
curl --request GET \
--url https://{your-subdomain}.neetochat.com/api/external/v2/conversations/{conversation_id} \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetochat.com/api/external/v2/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetochat.com/api/external/v2/conversations/{conversation_id}"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"conversation": {
"id": "de414e85-a1b5-4240-a465-7b32606980ce",
"status": "open",
"title": "Refund for order #1042",
"priority": "low",
"channel_name": "b945fd3cd2573017052901d6dbd0832f",
"origin_page_url": "https://example.com/pricing",
"origin_page_title": "Pricing",
"created_at": "2026-09-23T18:07:53.661Z",
"updated_at": "2026-10-05T16:26:58.143Z",
"agent": {
"id": "05665eee-4602-4317-8f7f-767b04274e5f",
"name": "Oliver Smith",
"email": "oliver@example.com"
},
"group": {
"id": null,
"name": null
},
"visitor": {
"id": "2c79a334-0bc8-44e4-9504-331f59d400ab",
"name": "Sam Brown",
"email": "sam@example.com",
"phone_number": null,
"user_identifier": null
}
}
}{
"error": "Conversation does not exist."
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Specifies the expected response format. Must be set to application/json for proper API communication.
application/json Path Parameters
Id of the conversation. You can get conversation_id by listing conversations using our List conversations API.
"de414e85-a1b5-4240-a465-7b32606980ce"
Response
OK - Request succeeded
Hide child attributes
Hide child attributes
"de414e85-a1b5-4240-a465-7b32606980ce"
Name of the conversation's status. The default statuses are new, open, waiting_on_customer, on_hold, closed, spam and trash, and your workspace may also have custom statuses.
"open"
"Refund for order #1042"
low, medium, high, urgent "low"
Unique identifier of the conversation's chat channel.
"b945fd3cd2573017052901d6dbd0832f"
URL of the page the conversation was started from.
"https://example.com/pricing"
Title of the page the conversation was started from.
"Pricing"
"2026-09-23T18:07:53.661Z"
Time the conversation was last changed. A new message or note in the conversation also updates it.
"2026-10-05T16:26:58.143Z"
Team member assigned to the conversation. All fields are null when the conversation is unassigned.
Contact who started the conversation.
Hide child attributes
Hide child attributes
"2c79a334-0bc8-44e4-9504-331f59d400ab"
"Sam Brown"
"sam@example.com"
null
null